# class DBus::ASystemBus

# D-Bus system bus class¶ ↑

The system bus is a system-wide bus mostly used for global or system usages.

Use `SystemBus`, the non-singleton `ASystemBus` is for the test suite.

### Public Class Methods

new() click to toggle source

Get the default system bus.

Calls superclass method `DBus::BusConnection::new`

        # File lib/dbus/bus.rb
    272 def initialize
    273   super(self.class.system_bus_address)
    274 end

system_bus_address() click to toggle source

        # File lib/dbus/bus.rb
    276 def self.system_bus_address
    277   ENV["DBUS_SYSTEM_BUS_ADDRESS"] || SYSTEM_BUS_ADDRESS
    278 end